### Class

# GExiv2 PreviewProperties

#### Description [src]

    class GExiv2.PreviewProperties : GObject.Object
    {
      /* No available fields */
    }

Properties of a preview image.

Metadata can contain multiple preview images. `GExiv2PreviewProperties` are used to describe the available image without the need of fetching the whole image from the metadata.

#### Ancestors

- GObject

#### Instance methods

###### gexiv2_preview_properties_get_extension

Get the recommended file extension for the preview image.

###### gexiv2_preview_properties_get_height

Get the preview image’s display height in pixels.

###### gexiv2_preview_properties_get_mime_type

Get the preview image’s content-type.

###### gexiv2_preview_properties_get_size

Returns the size of the preview image in bytes.

###### gexiv2_preview_properties_get_width

Get the preview image’s display width in pixels.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GExiv2PreviewPropertiesClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.